-- WAITFOR
declare @x int
select @x=2
insert into Test..liczby values( @x );
waitfor delay '00:00:05'
insert into Test..liczby values( @x+2 );

-- IF..ELSE
if EXISTS( select * from Northwind..orders) print('S zamwienia')
else print('Nie ma adnych zamwie')

-- WHILE
declare @y int
select @y=0
while ( @y<10 )
begin
  print @y
  if ( @y=5 ) break
  set @y=@y+1
end

-- CASE
select title as tytul, price as cena, [cena jest]=CASE
	when price<10.00 then 'Niska'
	when price between 10.00 and 20.00 then 'Przystpna'
	when price>20 then 'Wysoka'
	else 'Nieznana'
	end
from pubs..titles

select title as tytul, price as cena, rodzaj=CASE type
	when 'mod_cook' then 'Nowoczesne kucharzenie'
	when 'trad_cook' then 'Tradycyjne kucharzenie'
	when 'psychology' then 'Psychologia'
	else 'Nieokrelony'
	end
from pubs..titles

-- NULLIF
-- przydatne, kiedy chcemy pomin jak warto w funkcjach agregujcych
select
count(*) as [Liczba pracownikw],
avg( nullif( zarobki, 0 ) ) as [rednia paca],
min( nullif( zarobki, 0 ) ) as [Paca minimalna]
from Test..Pracownicy

-- ISNULL
-- pozwala na nadawanie wartoci domylnych tam, gdzie jest NULL
select title, pub_id, isnull( price, ( select MIN(price) from pubs..titles ) ) from pubs..titles

